
local flask = {}

function flask.create(object)
	object.properties.usable = true
	object.update = flask.update
	object.use = flask.use
end

function flask:update(dt)
	if not self.started then
		self.started = true
		if hajtech.persistent.isCurrentFlaskTaken() then
			hajtech.map:removeEntity(self)
		end
	end
end

function flask:use(user)
	if not user.properties.character then return end

	hajtech.persistent.findFlask()
	hajtech.map:removeEntity(self)
end

return flask
