
local sign = {}

function sign.create(object)
	object.draw = sign.draw
end

function sign:draw()
	local text = self.properties.text
	text = string.gsub(text, "\\n", "\n")

	local oldfont = love.graphics.getFont()
	local r, g, b = love.graphics.getColor()
	love.graphics.setFont(hajtech.fonts.sign)
	love.graphics.setColor(0, 0, 0)
	love.graphics.printf(text, self.x, self.y, self.w, 'center')
	love.graphics.setFont(oldfont)
	love.graphics.setColor(r, g, b)
end

return sign
