function clamp(x, max)
	if x > 0 then
		return math.min(x, max)
	else
		return math.max(x, -max)
	end
end

function sign(x)
	return (x > 0) and 1 or -1
end

function find(sequence, element)
	for i,v in ipairs(sequence) do
		if v == element then
			return i
		end
	end
end

function mod(val, modvalue)
	return ((val - 1) % modvalue) + 1
end